@media only screen and (0 <= width <= 320px) {
  main section p {
    font-size: var(--text-sm-font-size);
  }

  ol li {
    font-size: var(--text-sm-font-size);
  }

  ul li {
    font-size: var(--text-sm-font-size);
  }

  .header__container_map > h2 {
    font-size: 18px;
  }

  .header__container_nav_desktop {
    display: none;
  }

  .adblock_premium {
    background-size: 280px 300px;
  }

  .footer__container_nav{
    flex-direction: column;
    align-items: center;
  }

  .footer__container_nav a{
    margin-bottom: 1rem
  }
  
  .ourstory-install__container{
    display: flex;
    flex-direction: column;
  }
}

@media only screen and (0 <= width <= 768px) {
  .header__container_map_desktop {
    background: bottom/cover url("../assets/img/map.png") no-repeat;
    padding-top: 5rem;
  }

  .header__container_header {
    padding-top: 100px;
  }

  section {
    padding: 2rem 6%;
  }

  .custom-container > img {
    width: 100%;
  }

  .home-benefits > div {
    display: flex;
    flex-direction: column;
  }

  .adblock_premium h4:first-child {
    margin-top: -2rem;
  }
}

@media only screen and (321px <= width <= 1440px) {
  main section p {
    font-size: var(--text-base-font-size);
  }

  .home-benefits p {
    color: #fff !important;
  }

  ol li {
    font-size: var(--text-base-font-size);
  }
  ul li {
    font-size: var(--text-base-font-size);
  }
}

@media only screen and (321px <= width <= 480px) {
  main > h2:first-child {
    font-size: var(--title-sm-font-size);
  }

  main section h2 {
    margin-top: 2rem;
    color: #435967;
  }
  main section p {
    margin-top: 2rem;
    color: #435967;
  }

  .home-benefits p {
    color: #fff !important;
  }

  .header__container_map > h2 {
    font-size: 28px;
  }

  .header__container_nav_desktop {
    display: none;
  }

  footer > .above-footer img {
    width: 90px;
    height: 100px;
  }
  
  .flower-glade-pic{
    margin-bottom: -2.2rem
  }

  .fern-pic{
    margin-bottom: -1rem
  }

  .ourstory-install__container{
    display: flex;
    flex-direction: column;
  }
}

@media only screen and (480px <= width <= 768px) {
  .custom-container > div {
    flex-direction: row;
  }

  footer > .above-footer img {
    width: 135px;
    height: 150px;
  }
  
  .flower-glade-pic{
    margin-bottom: -3.2rem
  }

  .fern-pic{
    margin-bottom: -1rem
  }
  .ourstory-install__container{
    display: flex;
    flex-direction: row;
  }
}

@media only screen and (769px <= width <= 1024px) {
  main > h2:first-child {
    font-size: var(--title-md-font-size);
  }
  .header__container_map > h2 {
    font-size: 45px;
  }

  .header__container_nav_wrapper {
    padding-left: 0 !important;
  }
  .header__container_nav_desktop a {
    font-size: 18px;
  }
  .header__container_map_desktop {
    height: 250px;
  }
  section {
    padding: 2rem 15%;
  }

  .adblock_premium h4:first-child {
    margin-top: -2.5rem;
  }

  .ourstory-install__container{
    display: flex;
    flex-direction: row;
  }
}

@media only screen and (1024px <= width <= 1440px) {
  main > h2:first-child {
    font-size: var(--title-lg-font-size);
  }
  .header__container_map > h2 {
    font-size: 55px;
  }

  .header__container_nav_wrapper {
    padding-left: 0 !important;
  }

  .header__container_nav_desktop a {
    font-size: 24px;
  }
  .header__container_map_desktop {
    height: 250px;
  }

  .custom-container {
    flex-direction: row;
  }

  .custom-container:nth-child(4) {
    flex-direction: row-reverse;
  }

  .custom-container > img {
    width: 50%;
  }

  .custom-container p {
    width: 50%;
  }

  section {
    padding: 2rem 20%;
  }

  .adblock_premium h4:first-child {
    margin-top: -3rem;
  }

  footer > .above-footer img {
    width: 180px;
    height: 195px;
  }
  
  .flower-glade-pic{
    margin-bottom: -4.1rem
  }

  .fern-pic{
    margin-bottom: -2rem
  }

  .ourstory-install__container{
    display: flex;
    flex-direction: row;
  }
}

@media only screen and (1440px <= width <= 1920px){
  .custom-container > div {
    flex-direction: row;
  }

  .adblock_premium h4:first-child {
    margin-top: -2.8rem;
  }

  footer > .above-footer img {
    width: 240px;
    height: 260px;
  }
  
  .flower-glade-pic{
    margin-bottom: -5.5rem
  }

  .fern-pic{
    margin-bottom: -2rem
  }

  .ourstory-install__container{
    display: flex;
    flex-direction: row;
  }
}

@media only screen and (min-width: 1920px) {
  .header__container_map > h2 {
    font-size: 75px;
  }

  .header__container_nav_wrapper {
    padding-left: 0 !important;
  }

  .header__container_nav_desktop a {
    font-size: 24px;
  }
  .header__container_map_desktop {
    height: 250px;
  }

  .custom-container {
    flex-direction: row;
  }

  .custom-container > img {
    width: 50%;
  }

  section {
    padding: 3rem 25%;
  }

  footer > .above-footer img {
    width: 240px;
    height: 260px;
  }

  .flower-glade-pic {
    margin-bottom: -5.5rem;
  }

  .fern-pic {
    margin-bottom: -2rem;
  }
  
  .ourstory-install__container{
    display: flex;
    flex-direction: row;
  }
}
